- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

# OgreStringInterface.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreString.h"`
`#include "OgreCommon.h"`

Go to the source code of this file.

## Namespaces
namespace | Ogre
## Classes
class | Ogre::ParameterDef
| Definition of a parameter supported by a StringInterface class, for introspection. More...
class | Ogre::ParamCommand
| Abstract class which is command object which gets/sets parameters. More...
class | Ogre::ParamDictionary
| Class to hold a dictionary of parameters for a single class. More...
class | Ogre::StringInterface
| Class defining the common interface which classes can use to present a reflection-style, self-defining parameter set to callers. More...
## Typedefs
typedef std::vector < ParameterDef > | Ogre::ParameterList
typedef std::map < String, ParamCommand * > | Ogre::ParamCommandMap
typedef std::map < String, ParamDictionary > | Ogre::ParamDictionaryMap
## Enumerations
enum | Ogre::ParameterType { Ogre::PT_BOOL, Ogre::PT_REAL, Ogre::PT_INT, Ogre::PT_UNSIGNED_INT, Ogre::PT_SHORT, Ogre::PT_UNSIGNED_SHORT, Ogre::PT_LONG, Ogre::PT_UNSIGNED_LONG, Ogre::PT_STRING, Ogre::PT_VECTOR3, Ogre::PT_MATRIX3, Ogre::PT_MATRIX4, Ogre::PT_QUATERNION, Ogre::PT_COLOURVALUE }
| List of parameter types available. More...

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Mon Jun 16 12:48:59 2008